> For the complete documentation index, see [llms.txt](https://docs.geeknums.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geeknums.io/consulta-global-de-operadoras-de-telefonia.md).

# Consulta Global de Operadoras de Telefonia

Consulta global de operadoras de telefonia, bilhões de registros, atualizações oportunas, alta precisão.

> Exemplo de código:

```bash
curl --location --request POST 'https://api.checknumber.ai/v1/phone' \--header 'Content-Type: application/x-www-form-urlencoded' \--header 'X-API-Key: AbcdEfgh' \--data-urlencode 'number=628138800001&country=ID'
```

> Exemplo de resposta para solicitação normal

```json
{  "status": "ok",  "message": {    "country_code": 62,    "national_number": 8138800001,    "is_valid_number": true,    "number_type": "MOBILE",    "e164": "+628138800001",    "region_code": "ID",    "location": {      "en": ""    },    "time_zones": ["Asia/Jakarta"],    "carrier": {      "en": "AXIS"    }  }}
```

> Exemplo de resposta para solicitação com erro

```json
{  "status": "FAIL",  "message": "The phone number supplied is not a number."}
```

## Solicitação HTTP

`POST https://api.checknumber.ai/v1/phone`

## Parâmetros da solicitação

| parâmetro | descrição                                            |
| --------- | ---------------------------------------------------- |
| `number`  | `string`, número de telefone                         |
| `country` | `string`, código da região, como `ID` para Indonésia |

## Código de status

| status | descrição                                                  |
| ------ | ---------------------------------------------------------- |
| `OK`   | `free`, sucesso                                            |
| `FAIL` | `free`, falha, o campo `message` contém a mensagem de erro |

## Descrição dos campos do número de telefone

| campos            | descrição                                  |
| ----------------- | ------------------------------------------ |
| country\_code     | código do país, como `62` para Indonésia   |
| national\_number  | número de chamada doméstica                |
| is\_valid\_number | é um número válido                         |
| number\_type      | tipo de número, `MOBILE`, `FIXED_LINE`     |
| e164              | número formatado em `e164`                 |
| region\_code      | código da região, como `ID` para Indonésia |
| location          | localização, *multilíngue*                 |
| time\_zones       | fusos horários                             |
| carrier           | provedor de serviços, *multilíngue*        |

## Descrição do tipo de número de telefone

| tipo                   | descrição                                                                                                             |
| ---------------------- | --------------------------------------------------------------------------------------------------------------------- |
| `MOBILE`               | telefone móvel                                                                                                        |
| `FIXED_LINE`           | telefone fixo                                                                                                         |
| `FIXED_LINE_OR_MOBILE` | Telefone móvel ou fixo, *em alguns países, é impossível distinguir entre telefones fixos e móveis apenas pelo número* |
| `SHARED_COST`          | <http://en.wikipedia.org/wiki/Shared_Cost_Service>                                                                    |
| `VOIP`                 | VOIP                                                                                                                  |
| `PERSONAL_NUMBER`      | <http://en.wikipedia.org/wiki/Personal_Numbers>                                                                       |
| `UNKNOWN`              | Desconhecido                                                                                                          |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geeknums.io/consulta-global-de-operadoras-de-telefonia.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
